#include <fstream>
#include <cstdlib>
#include <iostream>
#include <vector>
#include "io.h"

using namespace std;

void beolvas(const string &fajlnev, vector<vector<float> > &matrix) {
    ifstream fajl(fajlnev.c_str());
    if (fajl.fail()) {
        cout << "Nem sikerult megnyitni a fajlt!" << endl;
        exit(1);
    }
    int n, m;
    fajl >> n >> m;
    matrix.resize(n);
    for (int i = 0; i < matrix.size(); ++i) {
        matrix[i].resize(m);
        for (int j = 0; j < matrix[i].size(); ++j) {
            fajl >> matrix[i][j];
        }
    }
}

void kiir(const vector<vector<float> > &matrix) {
    cout << "A matrix: " << endl;
    for (int i = 0; i < matrix.size(); i++) {
        for (int j = 0; j < matrix[i].size(); j++) {
            cout << matrix[i][j] << " ";
        }
        cout << endl;
    }
}
